function [x, gt, yGt, phi, eventList, yExpected, longueurs] = splitDataset(x, gt, yGt, phi, eventList, yExpected, longueurs, indices)

x         = x(indices);
gt        = gt(indices);
yGt       = yGt(indices);
phi       = phi(indices);
eventList = eventList(indices);
yExpected = yExpected(indices);
longueurs = longueurs(indices);

end